Subject: fvwm 2.3.1 bug with null function args

From: Dan Espen <[email-masked]>
Date: Thu, 22 Apr 1999 13:15:29 -0400

There is something wrong with arg passing or parsing in 2.3.1.

I have a function like this:

destroyfunc test
addtofunc test "I" Exec exec echo "arg 0: $0." "arg 1: $1." "arg 2: $2."

And tests like this:

test val0 val1 val2
test val0 "" val2

With 2.2, it produces:

arg 0: val0. arg 1: val1. arg 2: val2.
arg 0: val0. arg 1: . arg 2: val2.

With 2.3.1 (04/22/99) it produces:

arg 0: val0. arg 1: val1. arg 2: val2.
arg 0: val0. arg 1: . arg 2: .
                             ^

This is a simple test case, I have some functions where passing NULL
args has to work.

Its been like this a while.  Work has had me to occupied to report it.

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214             E-mail: [email-masked]
Piscataway, NJ 08854                       Phone: (732) 699-5570

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]